[mac]defaultFont = 11 "Lucida Grande"

# Text colors

# general background and foreground (text color)
@background = #f2f2f2
@foreground = #000000
@disabledBackground = shade(@background,20%)
@disabledForeground = tint(@foreground,50%)

# component background
@buttonBackground = lighten(@background,5%)
@componentBackground = lighten(@background,5%)
@menuBackground = lighten(@background,5%)

@buttonArrowColor = tint(@foreground,20%)
@buttonDisabledArrowColor = lighten(@buttonArrowColor,15%)
@buttonHoverArrowColor = darken(@buttonArrowColor,20%,derived noAutoInverse)
@buttonPressedArrowColor = @buttonHoverArrowColor

searchBackground = #ffffff
searchForeground = #404040

textColor = #ffffff
[light]Label.foreground = $textColor

CheckBox.icon.focusedBackground =

# Button.startBackground = #fdfdfd
# Button.endBackground = #b9b9b9
# ComboBox.background = gradient(#fdfdfd, #b9b9b9)
# ComboBox.buttonBackground = gradient(#fdfdfd, #b9b9b9)


labelFaded = #b2b2b2
labelFaded2 = #7c7c7c
labelFaded3 = #565656
labelWarning = #bb5656
lightBgColorText = #838383

# Background colors

appColor = #808080
appColor2 = #6f6f6f

roundedLabelBg = #808080
borderColor = #2d2d2d
[light]bgColor = #404040
bgColorDarker = #2c2c2c
neutralBgColor = #87847a
neutralBgColor2 = #77776e
sceneCanvasBgColor = #c0c0c0

lightBgColor = #5c5c5c
lightBgColor2 = #62625c
lightBgColor3 = #4e4e50
editorBgColor = #40404a
darkBgColor = #444444

# Floating Panel

floatingPanelBgColor = #e3e3e3
floatingPanelTextColor = #000000
floatingPanelFieldBgColor = #ffffff
floatingPanelFieldBorderColor = #a0a0a0
floatingPanelHeaderTextColor = #000000
floatingPanelHeaderBgColor = #b9b9b9

# Gradients

lightButtonBarStartColor = #e3e3e3
lightButtonBarEndColor = #ababab
buttonBarStartColor = #cfcfcf
buttonBarEndColor = #8d8d8d
commandBarStartColor = #414141
commandBarMidColor = #323232
commandBarEndColor = #282828
statusBarStartColor = #383838
statusBarEndColor = #2d2d2d

tabStartColor = #bbc5d9
tabEndColor = #8da1b5

dialogBorderColor = #505050

redStartColor = #964646
redEndColor = #492222

greenStartColor = #467846
greenEndColor = #223a22

# Tabs

TabbedPane.tabLayoutPolicy = "scroll"
TabbedPane.opaque = false
TabbedPane.background = $appColor
TabbedPane.tabsOpaque = true
TabbedPane.tabType = "card"
TabbedPane.scrollButtonsPlacement = "trailing"
TabbedPane.cardTabArc = 12
TabbedPane.cardTabSelectionHeight = 0
TabbedPane.tabBackground = gradient($buttonBarStartColor,$buttonBarEndColor)
TabbedPane.selectedBackground = gradient($tabStartColor,$tabEndColor)
TabbedPane.tabSeparatorColor = $borderColor
TabbedPane.contentSeparatorHeight = 0
TabbedPane.tabBorderWidth = 1
TabbedPane.hoverColor = null
TabbedPane.focusColor = null
TabbedPane.foreground = #000000
TabbedPane.selectedForeground = #000000
TabbedPane.tabHeight = 1
TabbedPane.font = $toolbarFont
TabbedPane.selectedFont = bold $toolbarFont
TabbedPane.showTabSeparators = true
TabbedPane.hasFullBorder = false

# TitlePane
TitlePane.foreground: #333333
TitlePane.embeddedForeground: #333333
TitlePane.inactiveForeground: #333333
[style]MenuBar.mainMenu = border: 0,0,0,0; background: rgb(203, 203, 203)
[style]Panel.topbar = background: gradient(rgb(203, 203, 203), rgb(158, 158, 156))
[style]Panel.mainToolbar = border: compound(matte(0,0,1,0,$bgColor),empty(6,6,6,6))
[style]TabbedPane.documents = border: 0,0,0,0

[style]ComboBox.mainToolbar = \
  background: gradient(#fdfdfd, #b9b9b9); \
  buttonBackground: gradient(#fdfdfd, #b9b9b9); \
  borderColor: #4e4e4e

[style]Button.macButton = \
  buttonType: mac; \
  border: empty(0,0,0,0); \
  foreground: #000000; \
  disabledText: #3f3f3f; \
  iconTextGap: 4; \
  font: $toolbarFont

[style]ToggleButton.macButton = \
  buttonType: mac; \
  border: empty(3,7,3,7); \
  foreground: #000000; \
  disabledText: #3f3f3f; \
  iconTextGap: 5; \
  font: $toolbarFont

[style]ToggleButton.simpleMacButton = \
  buttonType: mac; \
  border: empty(5,5,4,5); \
  foreground: #000000; \
  disabledText: #3f3f3f; \
  iconTextGap: 0; \
  font: $toolbarFont

[style]Label.toolbarLabel = \
  foreground: #000000;

# note: gradients aren't supported here (yet? ever?)
[style]TableHeader.itunes = \
  background: gradient(#dbdbdb, #bbbbbb); \
  hoverBackground: gradient(#dbdbdb, #bbbbbb); \
  pressedBackground: gradient(#c4c4c4, #959595); \
  foreground: #000000; \
  separatorColor: #555555; \
  bottomSeparatorColor: #555555

# Group buttons

GroupButton.standard.background = gradient(#f8f8f8, #f2f2f2)
GroupButton.standard.hoverBackground = gradient(#f8f8f8, #ffffff)
GroupButton.standard.selectedBackground = gradient(#adadad, #a9a9a9)
GroupButton.standard.borderColor = #434343
GroupButton.standard.hoverBorderColor = #1e64b4
GroupButton.standard.focusedBorderColor = #416dac
GroupButton.standard.foreground = #262626
GroupButton.standard.selectedForeground = #333333
GroupButton.standard.font = plain $Button.font
GroupButton.blue.background = gradient(#647896, #29333d)
GroupButton.blue.hoverBackground = gradient(#647896, #3a4857)
GroupButton.blue.selectedBackground = gradient(#8eabd6, #3a4857)
GroupButton.blue.borderColor = #353535
GroupButton.blue.hoverBorderColor = #1e64b4
GroupButton.blue.foreground = #ffffff
GroupButton.blue.selectedForeground = #333333
GroupButton.blue.font = bold $Button.font
GroupButton.dark.background = gradient(#797979, #767676)
GroupButton.dark.hoverBackground = gradient(#797979, #a8a8a8)
GroupButton.dark.selectedBackground = gradient(#8eabd6, #3a4857)
GroupButton.dark.borderColor = #202020
GroupButton.dark.hoverBorderColor = #353535
GroupButton.dark.foreground = #ffffff
GroupButton.dark.selectedForeground = #333333
GroupButton.dark.font = bold $Button.font
TabGroupButton.standard.background = gradient(#464646, #1c1c1c)
TabGroupButton.standard.hoverBackground = gradient(#464646, #282828)
TabGroupButton.standard.selectedBackground = gradient(#282828, #646464)
TabGroupButton.standard.borderColor = #252525
TabGroupButton.standard.hoverBorderColor = #252525
TabGroupButton.standard.focusedBorderColor = #89b0d4
TabGroupButton.standard.foreground = #232323
TabGroupButton.standard.selectedForeground = #ffffff
TabGroupButton.standard.font = $buttonFont
TabGroupButton.grayblue.background = gradient(#eaeaea, #8d8d8d)
TabGroupButton.grayblue.hoverBackground = gradient(#eaeaea, #c9c9c9)
TabGroupButton.grayblue.selectedBackground = gradient(#4b7998, #2c5c7d)
TabGroupButton.grayblue.borderColor = #353535
TabGroupButton.grayblue.hoverBorderColor = #353535
TabGroupButton.grayblue.focusedBorderColor = #89b0d4
TabGroupButton.grayblue.foreground = #232323
TabGroupButton.grayblue.selectedForeground = #ffffff
TabGroupButton.grayblue.font = $buttonFont
TabGroupButton.graygreen.background = gradient(#eaeaea, #8d8d8d)
TabGroupButton.graygreen.hoverBackground = gradient(#eaeaea, #c9c9c9)
TabGroupButton.graygreen.selectedBackground = gradient(#649678, #293d33)
TabGroupButton.graygreen.borderColor = #353535
TabGroupButton.graygreen.hoverBorderColor = #353535
TabGroupButton.graygreen.focusedBorderColor = #89b0d4
TabGroupButton.graygreen.foreground = #232323
TabGroupButton.graygreen.selectedForeground = #ffffff
TabGroupButton.graygreen.font = $buttonFont
TabGroupButton.green.background = gradient(#518751, #447244)
TabGroupButton.green.hoverBackground = gradient(#518751, #61a261)
TabGroupButton.green.selectedBackground = gradient(#73c073, #61a261)
TabGroupButton.green.borderColor = #353535
TabGroupButton.green.hoverBorderColor = #353535
TabGroupButton.green.focusedBorderColor = #89b0d4
TabGroupButton.green.foreground = #ffffff
TabGroupButton.green.selectedForeground = #ffffff
TabGroupButton.green.font = $buttonFont
TabGroupButton.scstandard.background = gradient(#ffffff, #8d8d8d)
TabGroupButton.scstandard.selectedBackground = gradient(#96acc8, #506478)
TabGroupButton.scstandard.borderColor = #4d4d4d
TabGroupButton.scstandard.hoverBorderColor = #1e64b4
TabGroupButton.scstandard.foreground = #000
TabGroupButton.scstandard.selectedForeground = #fff
TabGroupButton.scstandard.font = $buttonFont
TabGroupButton.bigblue.background = gradient(#ffffff, #8d8d8d)
TabGroupButton.bigblue.selectedBackground = gradient(#96acc8, #506478)
TabGroupButton.bigblue.borderColor = {color}gradient(#252525, #353535)
TabGroupButton.bigblue.hoverBorderColor = #1e64b4
TabGroupButton.bigblue.foreground = #000
TabGroupButton.bigblue.selectedForeground = #fff
TabGroupButton.bigblue.font = $buttonFont

# Dialog titles

CurvedTitlePanel.background = gradient(rgb(40,40,40),rgb(30,30,30))
CurvedTitlePanel.outlineColor = $borderColor
[mac]CurvedTitlePanel.arcSize = {integer}15
CurvedTitlePanel.arcSize = {integer}0
CurvedTitlePanel.border = empty(8,5,8,5)
[style]Label.dialogTitle = \
  font: 12 bold $Button.font; \
  foreground: #ffffff
CurvedEndPanel.outlineColor = rgb(120,120,120)
[mac]CurvedEndPanel.arcSize = {integer}15
CurvedEndPanel.arcSize = {integer}0
CurvedEndPanel.background = gradient($buttonBarStartColor, $buttonBarEndColor)
CurvedEndPanel.border = compound(matte(1,0,0,0,$borderColor),compound(matte(1,0,0,0,#fff),empty(5,7,5,7)))

# Vertical/Horizontal Bars

[style]Panel.buttonPanel =      background: gradient($buttonBarStartColor, $buttonBarEndColor)
[style]Panel.buttonPanelLight = background: gradient($lightButtonBarStartColor, $lightButtonBarEndColor)
[style]Panel.commandBar =       background: gradient($commandBarStartColor, $commandBarEndColor)
[style]Panel.commandBarUpper =  background: gradient($commandBarStartColor, $commandBarMidColor)
[style]Panel.commandBarLower =  background: gradient($commandBarMidColor, $commandBarMidColor)
[style]Panel.guide =            background: gradient(#5e9d71, #416d4f)
[style]Panel.graydient =        background: gradient(#787878, #494949)
[style]Panel.statusBar =        background: gradient($statusBarStartColor, $statusBarEndColor)

# Trees

Component.arrowType = triangle
Tree.border = 0,0,0,0
Tree.background = #3e3e3e
#todo: Tree.inactiveBackground = #4e4e4e
Tree.font = 11
Tree.foreground = #fff
Tree.repaintWholeRow = true
Tree.selectionBackground = gradient(#949494, #6a6a6a)
Tree.selectionInactiveBackground = gradient(#b4b4b4, #8a8a8a)
Tree.icon.expandedColor = #fff
Tree.icon.collapsedColor = #fff
# Properties for SourceList-style trees
Tree.categoryShadow = rgba(0, 0, 0, 100)
Tree.selectedShadow = rgba(0, 0, 0, 100)
Tree.boldSelected = true
Tree.boldCategories = false
Tree.uppercaseCategories = true
Tree.badgeColor = #fff
Tree.badgeTextColor = #3e3e3e
Tree.badgeFont = "Helvetica" bold 11

# Toolbars

ToolBar.hoverButtonGroupBackground = null
ToolBar.background = gradient(#f8f8f8, #e8e8e8)

[style]Panel.decorated = \
  background: $lightBgColor3

# Settings

[style]Panel.settingsSidebar = background: #404040; border: matte(1,1,0,1,#333333)
[style]ToggleButton.settingsSidebar = \
  foreground: $labelFaded; \
  pressedForeground: null; \
  pressedBackground: null; \
  selectedForeground: #ffffff; \
  selectedBackground: #666666; \
  border: compound(matte(0,0,1,0,#454545),matte(0,0,1,0,#333333)); \
  font: $toolbarFont

# Block Themes

Block.yellow.main = rgb(200, 140, 55)
Block.yellow.shadow = rgb(150, 100, 60)
Block.yellow.light1 = rgb(210, 150, 65)
Block.yellow.light2 = rgb(220, 160, 75)
Block.yellow-alt.main = rgb(180, 126, 50)
Block.yellow-alt.shadow = rgb(135, 90, 54)
Block.yellow-alt.light1 = rgb(189, 135, 59)
Block.yellow-alt.light2 = rgb(198, 144, 68)
Block.orange.main = rgb(212, 96, 19)
Block.orange.shadow = rgb(171, 77, 15)
Block.orange.light1 = rgb(237, 126, 52)
Block.orange.light2 = rgb(212, 108, 19)
Block.blue.main = rgb(74, 108, 150)
Block.blue.shadow = rgb(52, 76, 148)
Block.blue.light1 = rgb(114, 145, 180)
Block.blue.light2 = rgb(80, 118, 180)
Block.cyan.main = rgb(4, 128, 200)
Block.cyan.shadow = rgb(3, 98, 156)
Block.cyan.light1 = rgb(38, 163, 235)
Block.cyan.light2 = rgb(4, 138, 215)
Block.green.main = rgb(50, 131, 90)
Block.green.shadow = rgb(50, 92, 64)
Block.green.light1 = rgb(54, 156, 116)
Block.green.light2 = rgb(50, 149, 104)
Block.lime.main = rgb(116, 140, 81)
Block.lime.shadow = rgb(78, 100, 15)
Block.lime.light1 = rgb(116, 160, 74)
Block.lime.light2 = rgb(116, 160, 51)
Block.purple.main = rgb(137, 74, 137)
Block.purple.shadow = rgb(95, 51, 102)
Block.purple.light1 = rgb(154, 114, 153)
Block.purple.light2 = rgb(134, 80, 145)
Block.red.main = rgb(187, 74, 97)
Block.red.shadow = rgb(135, 51, 60)
Block.red.light1 = rgb(214, 114, 90)
Block.red.light2 = rgb(194, 80, 90)
Block.gray.main = rgb(100, 100, 100)
Block.gray.shadow = rgb(81, 81, 81)
Block.gray.light1 = rgb(120, 120, 120)
Block.gray.light2 = rgb(130, 130, 130)
Block.charcoal.main = rgb(77, 77, 77)
Block.charcoal.shadow = rgb(62, 62, 62)
Block.charcoal.light1 = rgb(92, 92, 92)
Block.charcoal.light2 = rgb(100, 100, 100)
Block.dust.main = rgb(130, 130, 130)
Block.dust.shadow = rgb(100, 100, 100)
Block.dust.light1 = rgb(135, 132, 122)
Block.dust.light2 = rgb(145, 142, 132)

Block.snap.valid = #ffffff
Block.snap.invalid = #ff0000
Block.selectionBounds = rgb(100, 168, 234)
Block.foreground = #ffffff
Block.disabledForeground = #b2b2b2
Block.field.foreground = #323232
Block.field.background = #ffffff
Block.field.arrowColor = #808080
Block.field.innerShadow = #808080
Block.field.innerShadowError = #ff0000
Block.slot.arrowColor = #ffffff
Block.hoverArrowColor = #000000